Bug 500287 - rendering problems in OpenGL programs on G31
rendering problems in OpenGL programs on G31
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
11
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kristian Høgsberg
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-12 01:41 EDT by Jonathan Dieter
Modified: 2009-09-11 09:49 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-11 09:49:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg log (40.96 KB, text/plain)
2009-05-12 01:41 EDT, Jonathan Dieter
no flags Details

  None (edit)
Description Jonathan Dieter 2009-05-12 01:41:35 EDT
Created attachment 343543 [details]
Xorg log

Description of problem:
Some OpenGL programs render incorrectly on a system with the G31 chipset:
* In compiz desktop cylinder, the background image flickers in and out on the different workspaces as you rotate the cylinder
* In Neverputt, the text is rendered incorrectly for Play, Options, or Exit
* In Warzone2100, when configuring the game, most of the text isn't rendered

Version-Release number of selected component (if applicable):
xorg-x11-drv-intel-2.7.0-4.fc11.i586

How reproducible:
Always

Steps to Reproduce:
1. Start OpenGL program
  
Actual results:
Odd defects in rendering

Expected results:
No odd defects

Additional info:
All of the above render perfectly on an identical system with the G41 chipset.  Neither system has an xorg.conf.
Comment 1 Bug Zapper 2009-06-09 11:39:21 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Jonathan Dieter 2009-09-11 09:49:56 EDT
Not seeing this anymore, closing.

Note You need to log in before you can comment on or make changes to this bug.